declare const isString: (val: unknown) => val is string;
declare const isSymbol: (val: unknown) => val is symbol;
declare const isFunction: (val: unknown) => val is Function;
declare const isArray: (arg: any) => arg is any[];
declare const isMap: (val: unknown) => val is Map<any, any>;
declare const isSet: (val: unknown) => val is Set<any>;
declare const isObject: (val: unknown) => val is Record<any, any>;
declare const objectToString: () => string;
declare const isPlainObject: (val: unknown) => val is object;
declare const isRef: (val: any) => val is {
    value: unknown;
};
/**
 * For converting JSX interpolation values to displayed strings.
 * @public
 */
declare const toDisplayString: (val: unknown) => string;

export { isArray, isFunction, isMap, isObject, isPlainObject, isRef, isSet, isString, isSymbol, objectToString, toDisplayString };
